Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 12:55
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Simplified Puppy 4.3.1/4.3.2 Upgrade Center
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Wed 05 Jan 2011, 17:57    Post_subject:  Simplified Puppy 4.3.1/4.3.2 Upgrade Center
Sub_title: To provide new users a way to make a more up-to-date 4.3.x Puppy
 

***********************************************************************
Due to tightening of the limit on attachment size, the PET packages below cannot be downloaded! To overcome this problem, the packages are now housed in my mediafire account:

https://www.mediafire.com/folder/rtnecm25lnu2n/Puppy431

In addition, there is also a disk image ISO file that contains the upgrade_pack package as of 20110901, but none of the other packages.

There is also a new web site created by KentC containing a comprehensive
set of resources for Puppy 4.3.1 here:

http://www.puppylinux431.com/

***********************************************************************

This work is in progress. Please do not reply to this thread. To keep this thread as a download center only, please make comments in either of these threads, whichever appropriate:
Dialup/Wireless Modem Upgrade Packages for Puppy 4.3+: http://www.murga-linux.com/puppy/viewtopic.php?t=57290
Puppy 4.3.1 -- bug reports and suggestions: http://www.murga-linux.com/puppy/viewtopic.php?t=47563
Thanks.

The goal is for a user to start with a puppy 4 CD and install these few packages to add 15+ months'-worth of improvements. Then other application packages can be added. Ultimately, the result can be remastered to make and up-to-date distro CD.

The main upgrade package contains not only my modem and module-loading improvements, but also many fixes provided by testers in the 4.3.1 Bugs forum. The following issues are addressed:
1. Typo in Pwireless (Bruce_n_Duane)
2. Shutdown hang on older PCs (noabody)
3. Clicking on a web link in documents viewed with Epdf - nothing happens (b...@openplatformeducation.org)
4. ALSA modems sometimes get detected as ttySL0, other times incorrectly as ttySHSF0 (rerwin)
5. Multiple monitor support (pizzasgood)
6. Module preferences not working properly to set priority of one module over another (rerwin)
7. Monitor gamma correction button in Xorgwizard does nothing - replacement for "tkgamma" tool (PANZERKOPF)
8. Modules from initrd not gunzipped, impacting remastering (PANZERKOPF)
9. Make Puppy recover automatically from improper shutdowns (silverpuppy)
10. Roaring Penguin PPPOE fix to user instructions (fyujj)
11. How to cleanly unmount your filesystem on shutdowns, method 1 (Patriot)
12. Unload Ethernet drivers on shutdown to prevent laptop battery drain, but allow for WOL on mains-connected PCs (Shel)

One other thing about shutdown: Old PCs without ACPI support may not shut down completely. The package now allows the user to specify a boot parameter to activate full shutdown for such machines:
apm=power-off

Edit 3/7/2011: I previously suggested here that you consider upgrading the kernel to improve the "layered file system". I now recommend against using the "Kernel 2.6.30.5 updated PET": because it appears to be created for wary, so could corrupt a 4.3.1-based puppy.

Also, something I have learned in my testing of this upgrade: Before you install any of the packages here, be sure you have already created a pupsave file (if using a frugal puppy installation). If you install the upgrade pack in your initial "pfix=ram" session, some files and directories it deletes will reappear in the new pupsave after reboot. Creating the pupsave before any dotpet installation seems to avoid that problem. (Edit end)

Since my knowledge is limited as to other things that can be easily fixed, please make suggestions (in the above-named threads) for script corrections or low-risk upgrades to basic puppy functions, as well as recommendations of utility upgrades to add to the application link list, and upgraded drivers to link to. I would then update the package with appropriate script improvements.
Richard
upgrade_pack_4.3.1.1-20110905.pet
Description  Consolidated modem and module-loading upgrades for Puppies 4.3.1 and 4.3.2 and
derivatives from them.
Includes usb_modeswitch-1.1.9 and its config data.
pet

 Download 
Filename  upgrade_pack_4.3.1.1-20110905.pet 
Filesize  1.52 MB 
Downloaded  4387 Time(s) 
agrsm-all-20100106-patched1-k2.6.30.5.pet
Description  Optional: Agere PCI and HDA modem drivers
pet

 Download 
Filename  agrsm-all-20100106-patched1-k2.6.30.5.pet 
Filesize  1.73 MB 
Downloaded  494 Time(s) 
mwave_modem_fix_to_p4x-1.pet
Description  Fix for mwave modems. Should make them work after reboot.
(Duplicate of attachment in 4.3.1 Bugs thread.
Omitted from the upgrade pack due to size constraint.)
pet

 Download 
Filename  mwave_modem_fix_to_p4x-1.pet 
Filesize  884.19 KB 
Downloaded  510 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Wed 05 Jan 2011, 17:59    Post_subject: Updated or new driver packages (from tempestuous)  

Below are the updated driver packages. But please do not use the dotpets found at those links, as they will corrupt the upgrade files they replace. Please use only the packages attached to this posting, since the affected files are now part of 4.3.1.1. (Further packages coming, as I work to consolidate them and "flesh out" this posting.)

The consolidated packages and their contents are:

1. atl1e-v1.0.1.14-k2.6.30.5.pet:
Ref: http://www.murga-linux.com/puppy/viewtopic.php?p=467846#467846
Details:
Atheros/Attansic atl1e ethernet driver - now supports Device IDs for Vendor 1969, Products: 1026, 1062, 1063, 1066, 1067, 1073, 1083, 2060, 2062

2. wifi_modules-rt3xxxsta-k2.6.30.5.pet:
Proprietary Ralink wifi drivers in addition to rt2860sta and rt2870sta (in 4.3.1) - Ref: http://www.murga-linux.com/puppy/viewtopic.php?p=346450#346450
From: rt3070sta-v2.1.2.0-k2.6.30.5.pet, rt3090sta-v2.3.1.4-k2.6.30.5.pet, rt3562sta-v2.3.0.0-k2.6.30.5.pet, rt3572sta-v2.3.0.0-k2.6.30.5.pet, rt2870sta-k26305-2.4.0.0-buffalo.pet (shinobar), rt3370sta-k26305-2.4.0.1-p4.pet (shinobar)

Details:
- - rt3070sta for the RT3070 USB wifi device, modified to also recognise:
- - - Buffalo WLI-UC-GN, device ID's 0411:015d & 0411:014f
- - - Tenda W541U, device ID 148f,0x2070 (Tenda W541U V2.0 is already recognised)
- - rt3090sta for the RT3090 PCIe wifi device
- - rt3562sta for the RT3060/RT3062/RT3562/RT2860/RT2760/RT2890/RT2790 PCI(e) devices
- - rt3572sta for the RT3572/RT2870 USB wifi devices
- - rt2870sta for the RT2870-derivative USB wifi devices
- - rt3370sta for the RT3070/RT3370/RT2870 USB wifi devices
(Package assembled from 4 of tempestuous' dotpets and 2 of shinobar's, but not actually tested - please report any problem with it.)

3. wifi_modules-VT665x-k2.6.30.5.pet:
VIA VT6655, VT6656 - Ref: http://www.murga-linux.com/puppy/viewtopic.php?p=370451#370451
From: VT6655-1.20.02-k2.6.30.5.pet, VT6656-1.20.03-k2.6.30.5.pet
Details:
- - viawget for the VIA VT6655 PCI wifi device
- - vntwusb for the VIA VT6656 USB wifi device
Requires download of the 20110207+ 4.3.1.1 upgrade package, to get support for the VIA package.

4. wifi_modules-other-k2.6.30.5.pet:
Ref: http://www.murga-linux.com/puppy/viewtopic.php?p=346449#346449 and http://www.murga-linux.com/puppy/viewtopic.php?p=346457#346457
From: agnx-k2.6.30.5.pet, prism2_usb-k2.6.30.5.pet, rtl8187se-k2.6.30.5.pet, r8192se_pci-15.0127.2010-k2.6.30.5.pet, r8192s_usb-2.0708.2009-k2.6.30.5.pet
Details:
a. agnx driver for Airgo AGNX00 wifi devices
b. prism2_usb driver for USB versions of the Prism2/2.5/3 chipset. It supports WEP encryption, but not WPA/WPA2 encryption.
c. rtl8187se driver for the Realtek RTL8187SE wifi device, as found in the ASUS Eee 701SD and MSI Wind U100 netbooks.
d. Realtek wifi chipsets N-mode RTL819x series, r8192se_pci and r8192s_usb.
(I am unable to verify whether these repackaged drivers work with this update, so please report your experience with them.)
wifi_modules-rt3xxxsta-k2.6.30.5.pet
Description  Ralink proprietary wifi device drivers:
rt3070sta-v2.1.2.0
rt3090sta-v2.3.1.4
rt3562sta-v2.3.0.0
rt3572sta-v2.3.0.0
rt2870sta-k26305-2.4.0.0-buffalo
rt3370sta-k26305-2.4.0.1-p4
pet

 Download 
Filename  wifi_modules-rt3xxxsta-k2.6.30.5.pet 
Filesize  1.77 MB 
Downloaded  453 Time(s) 
wifi_modules-vt665x-k2.6.30.5.pet
Description  VIA wifi device drivers:
VT6655-1.20.02-k2.6.30.5
VT6656-1.20.03-k2.6.30.5
pet

 Download 
Filename  wifi_modules-vt665x-k2.6.30.5.pet 
Filesize  449.32 KB 
Downloaded  406 Time(s) 
wifi_modules-others-k2.6.30.5.pet
Description  Miscellaneous wifi device drivers:
agnx-k2.6.30.5
prism2_usb-k2.6.30.5
rtl8187se-k2.6.30.5
r8192se_pci-15.0127.2010-k2.6.30.5
r8192s_usb-2.0708.2009-k2.6.30.5
pet

 Download 
Filename  wifi_modules-others-k2.6.30.5.pet 
Filesize  757.26 KB 
Downloaded  464 Time(s) 
atl1e-v1.0.1.14-k2.6.30.5.pet
Description  Atheros/Attansic atl1e ethernet driver
pet

 Download 
Filename  atl1e-v1.0.1.14-k2.6.30.5.pet 
Filesize  34.83 KB 
Downloaded  386 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Wed 05 Jan 2011, 18:01    Post_subject: Updated or added application scripts and executables  

Below are collections of upgraded essential applications believed to work with the above updates.

The consolidated packages and their contents are:

1. putilities_install:
Ref: http://www.meownplanet.net/zigbert/
Details:
Utilities by Sigmund Berlund (zigbert), the ones at version 1.0 or later (with one exception). Please report if anything essential is missing for the included utilities. This package collects 21 .pet packages and installs them one at a time, requiring user acknowledgment of the individual old-version-uninstallation and installation prompts. A final prompt allows for uninstallation of the main package but leaves all the utilities installed. Localization/NLS packages are included for language translation. To avoid installing a particular package, simply click on "cancel" for it, instead of "OK". Skipped packages can be added later by re-installing the main package, which will bypass any already-installed packages.
The included utilities are:
- pbackup-3.1.8
- pburn-3.3.3
- pcd-1.5
- pfilesearch-1.24
- pfind-4.21
- pmusic-1.6.3 (update)
- pprocess-2.2.3
- pschedule-1.0 (update)
- ptiming-0.7
- pwidgets-2.3.4 (update)
- pwidgets_extra-2.3.1
Most also have an additional NLS package for installation.

The date appended to the putilities_install package name means that the package versions are those available on that date.

Before installing a P-package, the user is prompted to allow uninstallation of previous versions of same utility. If a package has no version number (as in some NLS packages), the old version must be uninstalled through the Puppy Package Manager before (re-)running the putilities_install package.

Unlike the rest of the packages in this thread, putilities can be installed on any puppy derived from 4.3.1 or later, as an easy way to stay up to date.

If the install package does not behave as you expect -- requesting to uninstall before installing a new version-- please send me the /tmp/putilities_debug.tar.gz file it produces, for diagnosis.
putilities_install-20110221.pet
Description  Up-to-date versions of some P... utilities from zigbert.
Now allows/requires uninstall of old versions.
pet

 Download 
Filename  putilities_install-20110221.pet 
Filesize  1.27 MB 
Downloaded  311 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Thu 06 Jan 2011, 16:54    Post_subject: Miscellaneous notices  

1. An update package similar to the 4.3.1.1 package, but for the puppeee puppy derivatives 1.0 and 4.4-beta, is available here: http://www.murga-linux.com/puppy/viewtopic.php?p=489744#489744
Edited_time_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Thu 06 Jan 2011, 18:41    Post_subject: Update History  

The packages will have a date appended to their names, corresponding to the latest update date. This history will reference those dates.

20110120:
upgrade_pack-4311:
- Fixed module loading bug that impacted wireless modems.
- Added support for additional wifi networking drivers.

20110124:
upgrade_pack-4311:
- Fixed initialization delay for module usb-storage.
- Several minor cleanup changes.

20110201:
upgrade_pack-4311:
- More minor cleanup.
- Timeouts avoided if a PCI modem driver is missing (so it could be left out).
- Agere and Intel modem drivers can now be blacklisted.
- USB modeswitching done without special puppy code, using supplied "dispatcher".
usb_modeswitch:
- Updated version to 1.1.6.

20110202:
wifi_modules-rt3xxxsta:
- Added prefix to original package name; Same content, but do not uninstall the original package.
putilities_install:
- Uploaded new utility package.

20110207:
upgrade_pack-4311:
- Added support for the vt665x package
wifi_modules-rt3xxxsta:
- Added driver rt2870sta with added buffalo devices
- Added driver rt3370sta
wifi_modules-vt665x:
- Added drivers for VIA VT6655 PCI and VT6656 USB wifi devices
putilities_install:
- Updated pmusic to 1.6.2
- Added ptiming to replace obsolete pstopwatch and ptimer

20110209:
upgrade_pack-4311:
- Improved DGC USB modem detection
- Simplified internals of module loading.

20110214:
upgrade_pack-4311:
- Replaced Agere/Lucent Martian driver with a small (undocumented) fix that might help with connecting.

20110218:
upgrade_pack-4311:
- Corrected an exposure to random dialup connect failures, in pupdial.

20110221:
putilities_install:
- Added uninstall of old version(s) of each utility to be installed.
- Updated pmusic, pschedule, pwidgets.

20110317:
upgrade_pack-4311:
- Integrated the updated usb_modeswitch package, version 1.1.7, 20110227.
- Corrected an exposure to possible module loading failure.
usb_modeswitch:
- Removed separate usb_modeswitch package altogether.

20110408 & 20110409:
upgrade_pack-4311:
- Corrected usb_modeswitch handling of already-switched modems.
- Restored sound support for wizard and retention of sound card selected.
- Fixed depmod to use FULL if that was used before (as depmod-FULL), to ensure accuracy.
- Upgraded the "pupsave update" function to remove obsolete files and add wary-type improvements while minimizing additions to the updated pupsave file; also protects replacement of executing scripts, to avoid aborting those scripts (which could corrupt the update).

20110417:
upgrade_pack-4311:
- Changed only the remaster and pupsave-update/upgrade scripts (after download number 3857!), to separate the special versions for the upgrade pack from the "normal" versions. Installation will start the special remasterer, which should be used after all desired dot-pet packages are installed. (There is no change in functionality, so no need to replace 0409 with this version.)

20110421:
upgrade_pack-4311:
- Cosmetic and insignificant changes (after download 3869).

20110905:
upgrade_pack-4311 (after download 3937):
- Bug fixes at the level of lucid pup 5.2.8.
- usb_modeswitch 1.1.9 and its data as of 8/5/2011.

Edited_times_total
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Tue 19 Apr 2011, 12:24    Post_subject: How to remaster puppy 4.3.1 with the new packages
Sub_title: Create a puppy with all of the (desired) additional packages.
 

One purpose of this thread is to facilitate creation of an up-to-date basic puppy 4.3.1/4.3.2. This message describes the optimal process for doing this.

1. Be sure to have on hand either a puppy 4.3.1 or 4.3.2 CD or ISO image file of a CD. For the complete set of capabilities available for 4.3.1, download the special puppy at: http://distro.ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1/special-puppies/pup-431-scsi-intel_modems.iso
md5sum: cdfa443f88a533742721102bb785666f pup-431-scsi-intel_modems.iso
This version is for kernel 2.6.30.5. Other versions could be used, if you know you will never need the added capabilities of the recommended version. You do not need to burn a CD of the original version in order to remaster.

2. While downloading, you might also obtain the development-support sfs file: http://distro.ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1/devx_431.sfs
md5sum: e46aebe00b8aff2cac57e517336e45d7 devx_431.sfs
Save the downloaded files somewhere accessible from a bootup without a pupsave.

3. To only create a remaster with the updates, start without a pupsave file ("puppy pfix=ram" or pupsave 0) and boot up to the desktop. Install all of the dot-pet packages to go into the remaster. When the "upgrade 4311" package is installed it will pop up a dialog window that should be left alone until starting the remaster. Either insert a puppy CD that matches the puppy being used to perform the remaster or find the pup-431...iso file and click on it to mount it. Then click "Yes" in the remaster window, to begin the process.

4. If you are installing the upgrade package into an existing pupsave environment, with- or without intent to remaster, simply install the package(s) and continue. You can either start the remaster by clicking "Yes" in its window or remaster later -- or on a subsequent reboot -- by retaining the remaster window until needed or by clicking "No" to stop it, and run it later in the same session by finding file /tmp/remaster_upgradeold and clicking on it. In a later session, first reinstall the upgrade 4311 package, which again will pop up the remaster window and require clicking "Yes".

5. Once the remaster is begun, the script will ask for work space. When not using a pupsave, the last option will be "initram", which should suffice for CD creation, but will not retain the result beyond the current session. Be sure to copy/move the generated ISO or puppy (initrd.gz, pup-431.sfs, vmlinuz, zdrv...) files to a more permanent location.

6. The script will then request a puppy CD or ISO file containing the original 4.3.1/4.3.2 puppy. The file will be listed as "loop#" (# = a digit). Make the selection.

7. Then you will be asked whether to create a separate "sfs" file for the hardware drivers (zdrv). For use in low-RAM systems, click "Yes", so the drivers will not load into RAM; otherwise, click "No"

8. Unless you have special items to add to the remaster, click on either "OK" or "No" until asked about creating a CD. To create only an ISO image of a CD, click "No" for the CD and then "Yes" for the ISO file. "No" will leave you with the result only in the folder, /puppylivecdbuild directory, available for copying into a puppy subdirectory for a frugal installation.

9. When the remaster is complete and you have the result saved where you need it, reboot but (if asked) do not save the session to a personal data (pupsave) file (because it will be incomplete). Even with an existing pupsave, unmount the ISO file if you used one (and ignore the error message) and immediately reboot, to run puppy with its new internal organization. Do not continue the session beyond the remaster (and unmount) -- reboot.

Summary:
- With no pupsave file in use: install all desired packages, special-remaster, reboot/poweroff and do not save personal data (pupsave).
- With existing pupsave or full install: install all desired packages, special-remaster if desired, unmount ISO file if used, reboot/poweroff before using (and to use) the updated puppy.
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1529
Location: Maine, USA

PostPosted: Sat 19 Apr 2014, 17:33    Post_subject: Upgrade packages to 4.3.1.1 now available in new repo  

This is to announce that the packages attached to this thread, but not able to be downloaded, have been copied to a new repository:

https://www.mediafire.com/folder/rtnecm25lnu2n/Puppy431

To simplify the adoption of the upgrades, a disk image ISO file is also provided there that contains the infrastructure updates, but not the added driver nor utility packages.
Back to top
View user's profile Send_private_message 
ally


Joined: 19 May 2012
Posts: 856
Location: lincoln

PostPosted: Mon 21 Apr 2014, 07:53    Post_subject:  

ISOs, rerwin and KentC repos mirrored here:

http://archive.org/details/Puppy_Linux_Puppy_431_upgrade

Smile
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1039s ][ Queries: 12 (0.0058s) ][ GZIP on ]